Skip to main content
GET
List project deployments

Authorizations

Authorization
string
header
required

Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.

Path Parameters

projectId
string
required

The ID of the project

Query Parameters

status
enum<string>[]

Filter by one or more statuses

Available options:
ongoing,
deployed,
failed,
canceled
environmentId
string

Filter by environment ID

Response

The list of deployments

id
string
required
status
enum<string>
required
Available options:
ongoing,
deployed,
failed,
canceled
sourceRef
string | null
required
sourceCommitId
string | null
required
sourceCommitMessage
string | null
required
authorUsername
string | null
required
authorAvatarUrl
string | null
required
startedAt
string<date-time> | null
required
completedAt
string<date-time> | null
required
environmentId
string
required
environmentName
string
required
isCurrent
boolean
required
deploymentPageUrl
string<uri> | null
required